<!DOCTYPE html>
<html lang="{{ DEFAULT_LANG | default("en-US") }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        {% if CLAIM_GOOGLE %}
        {% include '_includes/claim_google.html' with context %}
        {% endif %}
        {% if CLAIM_BING %}
        {% include '_includes/claim_bing.html' with context %}

        {% endif %}
        {% if article and article.author %}
        <meta name="author" content="{{ article.author }}" />
        {% elif page and page.author %}
        <meta name="author" content="{{ page.author }}" />
        {% else %}
        <meta name="author" content="{{ AUTHOR }}" />
        {% endif %}

        {% from '_includes/_defaults.html' import SITE_DESCRIPTION with context %}
        {% if SITE_DESCRIPTION %}
        <meta name="description" content="{% block head_description %}{{ SITE_DESCRIPTION|e }}{% endblock head_description %}" />
        {% endif %}
        {% block meta_tags_in_head %}
        {% from '_includes/_defaults.html' import TWITTER_USERNAME with context %}
        {%if TWITTER_USERNAME %}
        <meta name="twitter:creator" content="@{{TWITTER_USERNAME}}">
        {% endif %}
        <meta property="og:type" content="article" />
        <meta name="twitter:card" content="summary">
        {% endblock meta_tags_in_head %}
        <title>{% block title %}{{ SITENAME|striptags|e }}{% endblock title %}</title>
        {% block head_links %}
        <link href="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/css/bootstrap-combined.min.css" rel="stylesheet">
        <link href="//netdna.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.css" rel="stylesheet">
        {% if 'assets' in PLUGINS %}
        {% include '_includes/minify_css.html' with context %}
        {% else %}
        <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/css/pygments.css" media="screen">
        <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/tipuesearch/tipuesearch.css" media="screen">
        <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/css/elegant.css" media="screen">
        <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/css/admonition.css" media="screen">
        <link rel="stylesheet" type="text/css" href="{{ SITEURL }}/theme/css/custom.css" media="screen">
        {% endif %}
        {% endblock head_links %}
        {% include '_includes/favicon_links.html' %}
        {% block feed_links %}
        {% include '_includes/feeds.html' %}
        {% endblock feed_links %}
        {% include '_includes/analytics.html' %}
    </head>
    <body>
        <div id="content">
            <div class="navbar navbar-static-top">
                <div class="navbar-inner">
                    <div class="container-fluid">
                        <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </a>
                        <a class="brand" href="{{ SITEURL }}/"><span class=site-name>{{ SITENAME }}</span></a>
                        <div class="nav-collapse collapse">
                            <ul class="nav pull-right top-menu">
                                <li {% if page_name == 'index' %} class="active"{% endif %}>
                                    <a href=
                                       {% if SITEURL %}
                                       {{ SITEURL }}
                                       {% else %}
                                       "/"
                                       {% endif %}
                                    >Home</a>
                                </li>
                                {% if DISPLAY_PAGES_ON_MENU %}
                                {% for p in pages %}
                                <li {% if p == page %} class="active"{% endif %}><a href="{{ SITEURL }}/{{ p.url }}">{{ p.title }}</a></li>
                                {% endfor %}
                                {% endif %}
                                <li {% if page_name == 'categories' %} class="active"{% endif %}><a href="{{ SITEURL }}/{{ CATEGORIES_URL|default('categories') }}">Categories</a></li>
                                <li {% if page_name == 'tags' %} class="active"{% endif %}><a href="{{ SITEURL }}/{{ TAGS_URL|default('tags') }}">Tags</a></li>
                                <li {% if page_name == 'archives' %} class="active"{% endif %}><a href="{{ SITEURL }}/{{ ARCHIVES_URL|default('archives') }}">Archives</a></li>
                                <li><form class="navbar-search" action="{{ SITEURL }}/search.html" onsubmit="return validateForm(this.elements['q'].value);"> <input type="text" class="search-query" placeholder="Search" name="q" id="tipue_search_input"></form></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="row-fluid">
                    <div class="span1"></div>
                    <div class="span10">
                        {% block content %}
                        {% endblock content %}
                    </div>
                    <div class="span1"></div>
                </div>
            </div>
        </div>
        {% include '_includes/footer.html' %}
        {% block script %}
        <script src="//code.jquery.com/jquery.min.js"></script>
        <script src="//netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/js/bootstrap.min.js"></script>
        <script>
            function validateForm(query)
            {
                return (query.length > 0);
            }
        </script>
        {% endblock script %}
        {% include '_includes/stat_counter.html' %}
    </body>
    <!-- Theme: Elegant built for Pelican
        License : MIT -->
</html>
